HTMLAServProfile.ParameterServletResponseWrapper (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class HTMLAServProfile.ParameterServletResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          fr.inrialpes.exmo.align.service.HTMLAServProfile.ParameterServletResponseWrapper

All Implemented Interfaces:
  javax.servlet.ServletResponse

Enclosing class:
  HTMLAServProfile

    private class HTMLAServProfile.ParameterServletResponseWrapper

extends javax.servlet.ServletResponseWrapper

Two private cclasses for retrieving parameters

Field Summary
`private Map` | `parameters`

Constructor Summary
`HTMLAServProfile.ParameterServletResponseWrapper(javax.servlet.ServletResponse r)`

Method Summary
`Map` | `getParameterMap()`
`void` | `setParameterMap(Map m)`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    private Map parameters

Constructor Detail

### HTMLAServProfile.ParameterServletResponseWrapper

    public HTMLAServProfile.ParameterServletResponseWrapper(javax.servlet.ServletResponse r)

Method Detail

### getParameterMap

    public Map getParameterMap()

### setParameterMap

    public void setParameterMap(Map m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010